include ../common.mk

PROJECT_NAME:=cls09

TGTS:=$(patsubst %.c,%,$(wildcard *.c))

all: $(TGTS)

%: %.c
	@mkdir -p $(BUILD_PATH)/$(PROJECT_NAME)
	$(CC) $(CFLAGS) $^ -o $(BUILD_PATH)/$(PROJECT_NAME)/$@

clean:
	$(RM) -drf $(BUILD_PATH)/$(PROJECT_NAME)
